Bug 1304513 - pyanaconda.bootloader.BootLoaderError: failed to set new efi boot target. This is most likely a kernel or firmware bug.
pyanaconda.bootloader.BootLoaderError: failed to set new efi boot target. Thi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:73c7db4ec9ca100060d33db9284...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 16:18 EST by Peter Gervase
Modified: 2016-03-19 17:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-04 10:39:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gervase 2016-02-03 16:18:38 EST
Description of problem:
I started the install, let it go for a while, and then when I went to check on it, I saw that it had failed. 

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1750, in _add_single_efi_boot_target
    raise BootLoaderError("failed to set new efi boot target. This is most likely a kernel or firmware bug.")
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1754, in add_efi_boot_target
    self._add_single_efi_boot_target(self.stage1_device)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1762, in install
    self.add_efi_boot_target()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1782, in write
    self.install()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 2375, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 2453, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 240, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
pyanaconda.bootloader.BootLoaderError: failed to set new efi boot target. This is most likely a kernel or firmware bug.

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-KDE-x86_64-23-10 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23

Potential duplicate: bug 1236974
Comment 1 Peter Gervase 2016-02-03 16:23:17 EST
Another user experienced a similar problem:

I started the install, let it go for a while, and then when I went to check on it, I saw that it had failed. 

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-KDE-x86_64-23-10 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to set new efi boot target. This is most likely a kernel or firmware bug.
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 2 Peter Gervase 2016-02-03 16:27:58 EST
I think the duplicate entry is because it had problems uploading the information. I had only one system in the past few minutes have this issue.
Comment 3 David Shea 2016-02-04 09:18:07 EST
Please attach the logs from /tmp at the time of the crash as individual, text/plain attachments.
Comment 4 Peter Gervase 2016-02-04 10:34:03 EST
I tried rebuilding this system last night and hit the same issue. This morning, I tried for a third time, and I was able to install successfully. I was able to install on this system before, but there were issues and so that's why I was doing the reinstall. Hopefully this install is a good one and I won't need to rebuild it. I have two other systems to install, but they're both Dells and this problem one is Lenovo. I'll update this if I have more issues.

In case it matters, I'm booting off of a usb thumb drive and then doing a net install.
Comment 5 d.ilatowski 2016-03-19 17:21:41 EDT
Another user experienced a similar problem:

1. Installing Fedora in UEFI-mode (secure boot is off)

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=FEDORA-WS-2 quiet
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.10-1
product:        Fedora
reason:         pyanaconda.bootloader.BootLoaderError: failed to set new efi boot target. This is most likely a kernel or firmware bug.
release:        Cannot get release name.
version:        23

Note You need to log in before you can comment on or make changes to this bug.